[Git][java-team/jaxb][master] 3 commits: Added xml-resolver.jar to the classpath of jaxb-xjc.jar

Emmanuel Bourg gitlab at salsa.debian.org
Thu Dec 13 09:44:38 GMT 2018


Emmanuel Bourg pushed to branch master at Debian Java Maintainers / jaxb


Commits:
b6abc48e by Emmanuel Bourg at 2018-12-12T22:42:09Z
Added xml-resolver.jar to the classpath of jaxb-xjc.jar

- - - - -
755dcb5d by Emmanuel Bourg at 2018-12-13T09:34:01Z
Install the xjc and schemagen command line tools into a new jaxb package (Closes: #905357)

- - - - -
e867a313 by Emmanuel Bourg at 2018-12-13T09:37:56Z
Upload to unstable

- - - - -


13 changed files:

- debian/changelog
- debian/control
- debian/copyright
- + debian/jaxb.install
- + debian/jaxb.links
- + debian/jaxb.postinst
- + debian/jaxb.prerm
- debian/libjaxb-java.classpath
- + debian/patches/09-remove-reflective-access-warning.patch
- debian/patches/series
- debian/rules
- + debian/schemagen.1
- + debian/xjc.1


Changes:

=====================================
debian/changelog
=====================================
@@ -1,9 +1,12 @@
-jaxb (2.3.0.1-7) UNRELEASED; urgency=medium
+jaxb (2.3.0.1-7) unstable; urgency=medium
 
   * Team upload.
+  * Install the xjc and schemagen command line tools into a new jaxb package
+    (Closes: #905357)
   * Relocate the old com.sun.xml.bind artifacts (Closes: #906916)
+  * Added xml-resolver.jar to the classpath of jaxb-xjc.jar
 
- -- Emmanuel Bourg <ebourg at apache.org>  Sat, 01 Dec 2018 11:05:35 +0100
+ -- Emmanuel Bourg <ebourg at apache.org>  Thu, 13 Dec 2018 10:37:48 +0100
 
 jaxb (2.3.0.1-6) unstable; urgency=medium
 


=====================================
debian/control
=====================================
@@ -16,6 +16,7 @@ Build-Depends:
  libmaven-dependency-plugin-java,
  libmaven-javadoc-plugin-java,
  librelaxng-datatype-java,
+ libxml-commons-resolver1.1-java,
  maven-debian-helper (>= 2.2)
 Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/java-team/jaxb.git
@@ -28,6 +29,7 @@ Depends:
  libcodemodel-java (>= 2.6+jaxb${source:Version}),
  librngom-java (>= ${source:Version}),
  libtxw2-java (>= ${source:Version}),
+ libxml-commons-resolver1.1-java,
  ${maven:Depends},
  ${misc:Depends}
 Suggests: ${maven:OptionalDepends}
@@ -110,3 +112,24 @@ Description: XML Schema Object Model Java library
  to easily parse XML Schema documents and inspect information in them. It
  is expected to be useful for applications that need to take XML Schema
  as an input.
+
+Package: jaxb
+Architecture: all
+Depends:
+ default-jre-headless (>= 2:1.8) | java8-runtime-headless,
+ libjaxb-java (>= ${source:Version}),
+ ${misc:Depends}
+Description: JAXB Reference Implementation (Command Line Tools)
+ GlassFish Java Architecture for XML Binding (JAXB) Reference
+ Implementation.
+ .
+ Java Architecture for XML Binding (JAXB) provides a fast and convenient
+ way to bind XML schemas and Java representations, making it easy for
+ Java developers to incorporate XML data and processing functions in Java
+ applications. As part of this process, JAXB provides methods for
+ unmarshalling (reading) XML instance documents into Java content trees,
+ and then marshalling (writing) Java content trees back into XML instance
+ documents. JAXB also provides a way to generate XML schema from Java
+ objects.
+ .
+ This package contains the xjc and schemagen command line tools.


=====================================
debian/copyright
=====================================
@@ -52,6 +52,27 @@ License: Apache-2.0
  On Debian systems, the full text of the Apache-2.0 license
  can be found in the file '/usr/share/common-licenses/Apache-2.0'
 
+Files: debian/schemagen.1
+       debian/xjc.1
+Copyright: 2005-2013, Oracle Corporation
+Comment:
+ These man pages were copied from OpenJDK 10:
+ http://hg.openjdk.java.net/jdk10/jdk10/jdk/raw-file/tip/src/linux/doc/man/schemagen.1
+ http://hg.openjdk.java.net/jdk10/jdk10/jdk/raw-file/tip/src/linux/doc/man/xjc.1
+License: GPL-2
+ This code is free software; you can redistribute it and/or modify it
+ under the terms of the GNU General Public License version 2 only, as
+ published by the Free Software Foundation.
+ .
+ This code is distributed in the hope that it will be useful, but WITHOUT
+ ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+ FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
+ version 2 for more details (a copy is included in the LICENSE file that
+ accompanied this code).
+ .
+ On Debian systems, the full text of the GPL-2 license
+ can be found in the file '/usr/share/common-licenses/GPL-2'
+
 License: GPL-2 with classpath exception
  This program is free software; you can redistribute it
  and/or modify it under the terms of the GNU General Public


=====================================
debian/jaxb.install
=====================================
@@ -0,0 +1,4 @@
+debian/xjc.1                                                   /usr/share/jaxb/man/
+debian/schemagen.1                                             /usr/share/jaxb/man/
+jaxb-ri/bundles/ri/src/main/resources/bin/schemagen.zip.sh     /usr/share/jaxb/bin/
+jaxb-ri/bundles/ri/src/main/resources/bin/xjc.zip.sh           /usr/share/jaxb/bin/


=====================================
debian/jaxb.links
=====================================
@@ -0,0 +1,6 @@
+/usr/share/java/jaxb-api.jar                    /usr/share/jaxb/lib/jaxb-api.jar
+/usr/share/java/jaxb-core.jar                   /usr/share/jaxb/lib/jaxb-core.jar
+/usr/share/java/jaxb-impl.jar                   /usr/share/jaxb/lib/jaxb-impl.jar
+/usr/share/java/jaxb-jxc.jar                    /usr/share/jaxb/lib/jaxb-jxc.jar
+/usr/share/java/jaxb-xjc.jar                    /usr/share/jaxb/lib/jaxb-xjc.jar
+/usr/share/java/relaxngDatatype.jar             /usr/share/jaxb/lib/relaxngDatatype.jar


=====================================
debian/jaxb.postinst
=====================================
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+configure)
+	update-alternatives --install /usr/bin/schemagen schemagen /usr/share/jaxb/bin/schemagen.zip.sh 2000 --slave /usr/share/man/man1/schemagen.1 schemagen.1 /usr/share/jaxb/man/schemagen.1
+	update-alternatives --install /usr/bin/xjc       xjc       /usr/share/jaxb/bin/xjc.zip.sh       2000 --slave /usr/share/man/man1/xjc.1       xjc.1       /usr/share/jaxb/man/xjc.1
+	;;
+esac
+
+#DEBHELPER#
+
+exit 0


=====================================
debian/jaxb.prerm
=====================================
@@ -0,0 +1,10 @@
+#!/bin/sh -e
+
+set -e
+
+if [ "$1" = "remove" ] || [ "$1" = "deconfigure" ]; then
+	update-alternatives --remove wsgen    /usr/share/jaxb/bin/schemagen.zip.sh
+	update-alternatives --remove wsimport /usr/share/jaxb/bin/xjc.zip.sh
+fi
+
+#DEBHELPER#


=====================================
debian/libjaxb-java.classpath
=====================================
@@ -1,4 +1,4 @@
 usr/share/java/jaxb-core.jar                     /usr/share/java/jaxb-api.jar /usr/share/java/txw2.jar /usr/share/java/istack-commons-runtime.jar /usr/share/java/javax.activation.jar
 usr/share/java/jaxb-jxc.jar                      /usr/share/java/jaxb-xjc.jar /usr/share/java/jaxb-runtime.jar
 usr/share/java/jaxb-runtime.jar                  /usr/share/java/jaxb-core.jar /usr/share/java/stax-ex.jar /usr/share/java/stax-api.jar /usr/share/java/FastInfoset.jar /usr/share/java/javax.activation.jar
-usr/share/java/jaxb-xjc.jar                      /usr/share/java/jaxb-core.jar /usr/share/java/xsom.jar /usr/share/java/codemodel.jar /usr/share/java/rngom.jar /usr/share/java/dtd-parser.jar /usr/share/java/istack-commons-tools.jar /usr/share/java/javax.activation.jar
+usr/share/java/jaxb-xjc.jar                      /usr/share/java/jaxb-core.jar /usr/share/java/xsom.jar /usr/share/java/codemodel.jar /usr/share/java/rngom.jar /usr/share/java/dtd-parser.jar /usr/share/java/istack-commons-tools.jar /usr/share/java/javax.activation.jar /usr/share/java/xml-resolver.jar /usr/share/java/relaxngDatatype.jar


=====================================
debian/patches/09-remove-reflective-access-warning.patch
=====================================
@@ -0,0 +1,11 @@
+Description: Open the modules to remove the reflective access warnings on the command line
+Author: Emmanuel Bourg <ebourg at apache.org>
+Forwarded: no
+--- a/jaxb-ri/bundles/ri/src/main/resources/bin/xjc.zip.sh
++++ b/jaxb-ri/bundles/ri/src/main/resources/bin/xjc.zip.sh
+@@ -74,4 +74,4 @@
+     JAVA=java
+ fi
+  
+-$JAVA $XJC_OPTS -cp "$CLASSPATH" com.sun.tools.xjc.Driver "$@"
++$JAVA $XJC_OPTS --add-opens=java.base/java.lang=ALL-UNNAMED -cp "$CLASSPATH" com.sun.tools.xjc.Driver "$@"


=====================================
debian/patches/series
=====================================
@@ -5,3 +5,4 @@
 06-ignore-osgi-test-modules.patch
 07-fix-xjc-task.patch
 08-java10-compatibility.patch
+09-remove-reflective-access-warning.patch


=====================================
debian/rules
=====================================
@@ -14,6 +14,10 @@ override_dh_auto_test:
 override_dh_auto_install:
 	dh_auto_install -- -f jaxb-ri/pom.xml
 
+override_dh_install:
+	dh_install
+	chmod +x debian/jaxb/usr/share/jaxb/bin/*.sh
+
 override_dh_auto_clean:
 	dh_auto_clean -- -f jaxb-ri/pom.xml clean
 


=====================================
debian/schemagen.1
=====================================
@@ -0,0 +1,121 @@
+'\" t
+.\" Copyright (c) 2005, 2013, Oracle and/or its affiliates. All rights reserved.
+.\" DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
+.\"
+.\" This code is free software; you can redistribute it and/or modify it
+.\" under the terms of the GNU General Public License version 2 only, as
+.\" published by the Free Software Foundation.
+.\"
+.\" This code is distributed in the hope that it will be useful, but WITHOUT
+.\" ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+.\" FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
+.\" version 2 for more details (a copy is included in the LICENSE file that
+.\" accompanied this code).
+.\"
+.\" You should have received a copy of the GNU General Public License version
+.\" 2 along with this work; if not, write to the Free Software Foundation,
+.\" Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
+.\"
+.\" Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
+.\" or visit www.oracle.com if you need additional information or have any
+.\" questions.
+.\"
+.\"     Arch: generic
+.\"     Software: JDK 8
+.\"     Date: 21 November 2013
+.\"     SectDesc: Java Web Services Tools
+.\"     Title: schemagen.1
+.\"
+.if n .pl 99999
+.TH schemagen 1 "21 November 2013" "JDK 8" "Java Web Services Tools"
+.\" -----------------------------------------------------------------
+.\" * Define some portability stuff
+.\" -----------------------------------------------------------------
+.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+.\" http://bugs.debian.org/507673
+.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
+.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+.ie \n(.g .ds Aq \(aq
+.el       .ds Aq '
+.\" -----------------------------------------------------------------
+.\" * set default formatting
+.\" -----------------------------------------------------------------
+.\" disable hyphenation
+.nh
+.\" disable justification (adjust text to left margin only)
+.ad l
+.\" -----------------------------------------------------------------
+.\" * MAIN CONTENT STARTS HERE *
+.\" -----------------------------------------------------------------
+
+.SH NAME    
+schemagen \- Generates a schema for every name space that is referenced in your Java classes\&.
+.SH SYNOPSIS    
+.sp     
+.nf     
+
+\fBschemagen\fR [ \fIoptions\fR ] \fIjava\-files\fR
+.fi     
+.sp     
+.TP     
+\fIoptions\fR
+The command-line options\&. See Options\&.
+.TP     
+\fIjava-files\fR
+The Java class files to be processed\&.
+.SH DESCRIPTION    
+The schema generator creates a schema file for each name space referenced in your Java classes\&. Currently, you cannot control the name of the generated schema files\&. To control the schema file names, see Using SchemaGen with Ant at http://jaxb\&.java\&.net/nonav/2\&.2\&.3u1/docs/schemagenTask\&.html
+.PP
+Start the schema generator with the appropriate \f3schemagen\fR shell script in the bin directory for your platform\&. The current schema generator can process either Java source files or class files\&.
+.sp     
+.nf     
+\f3schemagen\&.sh Foo\&.java Bar\&.java \&.\&.\&.\fP
+.fi     
+.nf     
+\f3Note: Writing schema1\&.xsd\fP
+.fi     
+.nf     
+\f3\fP
+.fi     
+.sp     
+If your java files reference other classes, then those classes must be accessible on your system \f3CLASSPATH\fR environment variable, or they need to be specified in the \f3schemagen\fR command line with the class path options\&. See Options\&. If the referenced files are not accessible or specified, then you get errors when you generate the schema\&.
+.SH OPTIONS    
+.TP
+-d \fIpath\fR
+.br
+The location where the \f3schemagen\fR command places processor-generated and \f3javac\fR-generated class files\&.
+.TP
+-cp \fIpath\fR
+.br
+The location where the \f3schemagen\fR command places user-specified files\&.
+.TP
+-classpath \fIpath\fR
+.br
+The location where the \f3schemagen\fR command places user-specified files\&.
+.TP
+-encoding \fIencoding\fR
+.br
+Specifies the encoding to use for \f3apt\fR or \f3javac\fR command invocations\&.
+.TP
+-episode \fIfile\fR
+.br
+Generates an episode file for separate compilation\&.
+.TP
+-version
+.br
+Displays release information\&.
+.TP
+-help
+.br
+Displays a help message\&.
+.SH SEE\ ALSO    
+.TP 0.2i    
+\(bu
+Using SchemaGen with Ant at http://jaxb\&.java\&.net/nonav/2\&.2\&.3u1/docs/schemagenTask\&.html
+.TP 0.2i    
+\(bu
+Java Architecture for XML Binding (JAXB) at http://docs\&.oracle\&.com/javase/8/docs/technotes/guides/xml/jaxb/index\&.html
+.RE
+.br
+'pl 8.5i
+'bp


=====================================
debian/xjc.1
=====================================
@@ -0,0 +1,232 @@
+'\" t
+.\" Copyright (c) 2005, 2013, Oracle and/or its affiliates. All rights reserved.
+.\" DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
+.\"
+.\" This code is free software; you can redistribute it and/or modify it
+.\" under the terms of the GNU General Public License version 2 only, as
+.\" published by the Free Software Foundation.
+.\"
+.\" This code is distributed in the hope that it will be useful, but WITHOUT
+.\" ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+.\" FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
+.\" version 2 for more details (a copy is included in the LICENSE file that
+.\" accompanied this code).
+.\"
+.\" You should have received a copy of the GNU General Public License version
+.\" 2 along with this work; if not, write to the Free Software Foundation,
+.\" Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
+.\"
+.\" Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
+.\" or visit www.oracle.com if you need additional information or have any
+.\" questions.
+.\"
+.\"     Arch: generic
+.\"     Software: JDK 8
+.\"     Date: 21 November 2013
+.\"     SectDesc: Java Web Services Tools
+.\"     Title: xjc.1
+.\"
+.if n .pl 99999
+.TH xjc 1 "21 November 2013" "JDK 8" "Java Web Services Tools"
+.\" -----------------------------------------------------------------
+.\" * Define some portability stuff
+.\" -----------------------------------------------------------------
+.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+.\" http://bugs.debian.org/507673
+.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
+.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+.ie \n(.g .ds Aq \(aq
+.el       .ds Aq '
+.\" -----------------------------------------------------------------
+.\" * set default formatting
+.\" -----------------------------------------------------------------
+.\" disable hyphenation
+.nh
+.\" disable justification (adjust text to left margin only)
+.ad l
+.\" -----------------------------------------------------------------
+.\" * MAIN CONTENT STARTS HERE *
+.\" -----------------------------------------------------------------
+
+.SH NAME    
+xjc \- Compiles an XML schema file into fully annotated Java classes\&.
+.SH SYNOPSIS    
+.sp     
+.nf     
+
+\fBxjc\fR [ \fIoptions\fR ] \fBschema\fR \fIfile/URL/dir/jar\fR \&.\&.\&. [\fB\-b\fR \fIbindinfo\fR ] \&.\&.\&.
+.fi     
+.sp     
+.TP     
+\fIoptions\fR
+The command-line options\&. See Options\&.
+.TP     
+schema \fIfile/URL/dir/jar \&.\&.\&.\fR
+The location of the XML schema file\&. If \f3dir\fR is specified, then all schema files in it are compiled\&. If \f3jar\fR is specified, then the \f3/META-INF/sun-jaxb\&.episode\fR binding file is compiled\&.
+.TP
+-b \fIbindinfo\fR
+.br
+The location of the bindings files\&.
+.SH DESCRIPTION    
+Start the binding compiler with the appropriate \f3xjc\fR shell script in the bin directory for your platform\&. There is also an Ant task to run the binding complier\&. See Using the XJC with Ant at http://jaxb\&.java\&.net/nonav/2\&.1\&.3/docs/xjcTask\&.html
+.SH OPTIONS    
+.TP 0.2i    
+\(bu
+See also Nonstandard Options
+.TP 0.2i    
+\(bu
+See also Deprecated and Removed Options
+.TP
+-nv
+.br
+By default, the XJC binding compiler performs strict validation of the source schema before processing it\&. Use this option to disable strict schema validation\&. This does not mean that the binding compiler will not perform any validation, but means that it will perform a less-strict validation\&.
+.TP
+-extension
+.br
+By default, the XJC binding compiler strictly enforces the rules outlined in the Compatibility chapter of the JAXB Specification\&. Appendix E\&.2 defines a set of W3C XML Schema features that are not completely supported by JAXB v1\&.0\&. In some cases, you may be allowed to use them in the \f3-extension\fR mode enabled by this switch\&. In the default (strict) mode, you are also limited to using only the binding customization defined in the specification\&. By using the \f3-extension\fR switch, you will be allowed to use the JAXB Vendor Extensions\&.
+.TP
+-b \fIfile\fR
+.br
+Specifies one or more external binding files to process\&. Each binding file must have its own \f3-b\fR switch\&. The syntax of the external binding files is flexible\&. You can have a single binding file that contains customization for multiple schemas or you can break the customization into multiple bindings files: \f3xjc schema1\&.xsd schema2\&.xsd schema3\&.xsd -b bindings123\&.xjb\fR\f3xjc schema1\&.xsd schema2\&.xsd schema3\&.xsd -b bindings1\&.xjb -b bindings2\&.xjb -b bindings3\&.xjb\fR\&. In addition, the ordering of the schema files and binding files on the command line does not matter\&.
+.TP
+-d \fIdir\fR
+.br
+By default, the XJC binding compiler generates the Java content classes in the current directory\&. Use this option to specify an alternate output directory\&. The output directory must already exist\&. The XJC binding compiler does not create it for you\&.
+.TP
+-p \fIpkg\fR
+.br
+When you specify a target package with this command-line option, it overrides any binding customization for the package name and the default package name algorithm defined in the specification\&.
+.TP
+-httpproxy \fIproxy\fR
+.br
+Specifies the HTTP or HTTPS proxy in the format \fI[user[:password]@]proxyHost[:proxyPort]\fR\&. The old \f3-host\fR and \f3-port\fR options are still supported by the RI for backward compatibility, but they were deprecated\&. The password specified with this option is an argument that is visible to other users who use the top command\&. For greater security, use the \f3-httpproxyfile\fR option\&.
+.TP
+-httpproxyfile file
+.br
+Specifies the HTTP or HTTPS proxy with a file\&. The same format as the \f3-httpproxy\fR option, but the password specified in the file is not visible to other users\&.
+.TP
+-classpath arg
+.br
+Specifies where to find client application class files used by the \fIjxb:javaType\fR and xjc:\fIsuperClass\fR customization\&.
+.TP
+-catalog file
+.br
+Specifies catalog files to resolve external entity references\&. Supports the TR9401, XCatalog, and OASIS XML Catalog formats\&. See XML Entity and URI Resolvers at http://xerces\&.apache\&.org/xml-commons/components/resolver/resolver-article\&.html
+.TP
+-readOnly
+.br
+By default, the XJC binding compiler does not write-protect the Java source files it generates\&. Use this option to force the XJC binding compiler to mark the generated Java sources as read-only\&.
+.TP
+-npa
+.br
+Suppresses the generation of package level annotations into \f3**/package-info\&.java\fR\&. Using this switch causes the generated code to internalize those annotations into the other generated classes\&.
+.TP
+-no-header
+.br
+Suppresses the generation of a file header comment that includes some note and time stamp\&. Using this makes the generated code more compatible with the \f3diff\fR command\&.
+.TP
+-target 2\&.0
+.br
+Avoids generating code that relies on any JAXB 2\&.1 features\&. This will allow the generated code to run with JAXB 2\&.0 runtime environment (such as Java SE 6)\&.
+.TP
+-xmlschema
+.br
+Treats input schemas as W3C XML Schema (default)\&. If you do not specify this switch, then your input schemas are treated as though they are W3C XML Schemas\&.
+.TP
+-relaxing
+.br
+Treats input schemas as RELAX NG (experimental and unsupported)\&. Support for RELAX NG schemas is provided as a JAXB Vendor Extension\&.
+.TP
+-relaxing-compact
+.br
+Treat input schemas as RELAX NG compact syntax (experimental and unsupported)\&. Support for RELAX NG schemas is provided as a JAXB Vendor Extension\&.
+.TP
+-dtd
+.br
+Treats input schemas as XML DTD (experimental and unsupported)\&. Support for RELAX NG schemas is provided as a JAXB Vendor Extension\&.
+.TP
+-wsdl
+.br
+Treats input as WSDL and compiles schemas inside it (experimental and unsupported)\&.
+.TP
+-quiet
+.br
+Suppress compiler output, such as progress information and warnings\&.
+.TP
+-verbose
+.br
+Be extra verbose, such as printing informational messages or displaying stack traces upon some errors\&.
+.TP
+-help
+.br
+Displays a brief summary of the compiler switches\&.
+.TP
+-version
+.br
+Displays the compiler version information\&.
+.TP     
+\fIschema file/URL/dir\fR
+Specifies one or more schema files to compile\&. If you specify a directory, then the \f3xjc\fR command scans it for all schema files and compiles them\&.
+.SS NONSTANDARD\ OPTIONS    
+.TP
+-XLocator
+.br
+Causes the generated code to expose SAX Locator information about the source XML in the Java bean instances after unmarshalling\&.
+.TP
+-Xsync-methods
+.br
+Causes all of the generated method signatures to include the \f3synchronized\fR keyword\&.
+.TP
+-mark-generated
+.br
+Marks the generated code with the annotation \f3 at javax\&.annotation\&.Generated\fR\&.
+.TP
+-episode file
+.br
+Generates the specified episode file for separate compilation\&.
+.SS DEPRECATED\ AND\ REMOVED\ OPTIONS    
+.TP
+-host & -port
+.br
+These options are replaced with the \f3-httpproxy\fR option\&. For backward compatibility, these options are supported, but will not be documented and might be removed from future releases\&.
+.TP
+-use-runtime
+.br
+Because the JAXB 2\&.0 specification has defined a portable runtime environment, it is no longer necessary for the JAXB RI to generate \f3**/impl/runtime\fRpackages\&. Therefore, this switch is obsolete and was removed\&.
+.TP
+-source
+.br
+The \f3-source\fR compatibility switch was introduced in the first JAXB 2\&.0 Early Access release\&. This switch is removed from future releases of JAXB 2\&.0\&. If you need to generate 1\&.0\&.x code, then use an installation of the 1\&.0\&.x code base\&.
+.SH COMPILER\ RESTRICTIONS    
+In general, it is safest to compile all related schemas as a single unit with the same binding compiler switches\&. Keep the following list of restrictions in mind when running the \f3xjc\fR command\&. Most of these issues only apply when you compile multiple schemas with multiple invocations of the \f3xjc\fR command\&.
+.PP
+To compile multiple schemas at the same time, keep the following precedence rules for the target Java package name in mind:
+.TP 0.4i    
+1\&.
+The \f3-p\fR option has the highest precedence\&.
+.TP 0.4i    
+2\&.
+\fIjaxb:package\fR customization\&.
+.TP 0.4i    
+3\&.
+If \f3targetNamespace\fR is declared, then apply the \f3t\fR\f3argetNamespace\fR to the Java package name algorithm defined in the specification\&.
+.TP 0.4i    
+4\&.
+If no \f3targetNamespace\fR is declared, then use a hard coded package named \f3generated\fR\&.
+.PP
+You cannot have more than one \fIjaxb:schemaBindings\fR per name space, so it is impossible to have two schemas in the same target name space compiled into different Java packages\&.
+.PP
+All schemas being compiled into the same Java package must be submitted to the XJC binding compiler at the same time\&. They cannot be compiled independently and work as expected\&.
+.PP
+Element substitution groups that are spread across multiple schema files must be compiled at the same time\&.
+.SH SEE\ ALSO    
+.TP 0.2i    
+\(bu
+Binding Compiler (xjc) at http://jaxb\&.java\&.net/nonav/2\&.2\&.3u1/docs/xjc\&.html
+.TP 0.2i    
+\(bu
+Java Architecture for XML Binding (JAXB) at http://www\&.oracle\&.com/technetwork/articles/javase/index-140168\&.html
+.RE
+.br
+'pl 8.5i
+'bp



View it on GitLab: https://salsa.debian.org/java-team/jaxb/compare/76226459926078c08b09e91a612abc2eb90f8b64...e867a31361819f98d035d34febf9cfcd6f7baf1e

-- 
View it on GitLab: https://salsa.debian.org/java-team/jaxb/compare/76226459926078c08b09e91a612abc2eb90f8b64...e867a31361819f98d035d34febf9cfcd6f7baf1e
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/pkg-java-commits/attachments/20181213/e8a460b2/attachment.html>


More information about the pkg-java-commits mailing list